Show / Hide Table of Contents

# Struct ImGuiKeyDataPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiKeyDataPtr

### Constructors

| Improve this Doc View Source

#### ImGuiKeyDataPtr(ImGuiKeyData*)

##### Declaration

    public ImGuiKeyDataPtr(ImGuiKeyData*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiKeyData* | nativePtr |

| Improve this Doc View Source

#### ImGuiKeyDataPtr(IntPtr)

##### Declaration

    public ImGuiKeyDataPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### AnalogValue

##### Declaration

    public readonly ref float AnalogValue { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Down

##### Declaration

    public readonly ref bool Down { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DownDuration

##### Declaration

    public readonly ref float DownDuration { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### DownDurationPrev

##### Declaration

    public readonly ref float DownDurationPrev { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public readonly ImGuiKeyData*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImGuiKeyData* |

### Operators

| Improve this Doc View Source

#### Implicit(ImGuiKeyData* to ImGuiKeyDataPtr)

##### Declaration

    public static implicit operator ImGuiKeyDataPtr(ImGuiKeyData*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiKeyData* | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiKeyDataPtr |

| Improve this Doc View Source

#### Implicit(ImGuiKeyDataPtr to ImGuiKeyData*)

##### Declaration

    public static implicit operator ImGuiKeyData*(ImGuiKeyDataPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiKeyDataPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImGuiKeyData* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImGuiKeyDataPtr)

##### Declaration

    public static implicit operator ImGuiKeyDataPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiKeyDataPtr |